首次发布:2015-12-02

第一次更新:2017-12-21

第二次更新:2018-01-02

第三次更新:2019-12-06

gromacs2019以及gromacs2020版本之间其实相差不大

默认安装在各位文件夹(我的用户名yaolab)的install下:

一.预先安装:

1
2
3
4
5
6
sudo apt-get install gcc
sudo apt-get install g++
sudo apt-get install gfortran
#若不需要GPU加速或者只是学习只用,仅需:
#sudo apt-get install gromacs
#后面无需在看

二.安装cmake

方案一:直接apt-get

1
sudo apt-get install cmake

方案二:编译安装

首先我们需要在cmake官网进行下载

发表文章时版本为3.10.1,所以以该版本为例

1.进入文件目录:

1
cd  /home/yaolab/install

2.解压缩:

1
tar -xvf cmake-3.10.1.tar.gz

3.进入目录:

1
cd cmake-3.10.1

4.设置,附加安装路径,我将其安装在cmake文件夹下

1
./bootstrap --prefix=/home/yaolab/install/cmake

5.安装

1
2
make
make install

6.设置路径

gedit ~/.zshrc (1.ubuntu默认为bashrc命令,我这里改为了zshrc,下同,所以你可能下面所有的zshrc都需要改为bashrc 2.倘若你安装在/usr/目录下的话需要sudo获得权限,个人建议最好不要sudo su或者最高权限后进行操作,因为那样子所有的文件都是高权限的)

最底部增加

1
2
3
PATH="$PATH:/home/yaolab/install/cmake/bin/:."
#其中/home/yaolab/install/cmake/需要替换为你的路径,下同
source ~/.zshrc

6*.查看是否安装好

1
cmake

三.安装fftw

方案一.gromacs安装时集成[推荐]

方案二.自行编译安装

1
2
3
4
5
6
7
tar xvf fftw-3.3.4.tar.gz
cd fftw-3.3.4
./configure –enable-DFFTWF_INCLUDE_DIR –enable-shared
make
sudo make install
#设置路径,或者gromacs那一步设置,由于不推荐这种方法,就不过多累述

四.安装openmpi

openmpi可以在官方网站进行下载

1.同样先要进入开始放置下载的目录:

1
2
cd /home/yaolab/install
wget https://download.open-mpi.org/release/open-mpi/v4.0/openmpi-4.0.2.tar.gz

2.解压缩和进入目录,将其安装在openmpi目录下:

1
2
3
tar xvf openmpi-4.0.2.tar.gz
cd openmpi-4.0.2
./configure –prefix=/home/yaolab/install/openmpi

3.安装:

1
2
make all
make install

4.环境变量设置:

1
2
3
#openmpi
export LD_LIBRARY_PATH=/home/yaolab/install/openmpi/lib:$LD_LIBRARY_PATH
export PATH=/home/yaolab/install/openmpi/bin:$PATH

五.CUDA驱动安装

请注意CUDA10.2版本在gromacs2019.4版本测试不通过,建议使用2020版本

由于amber和gromacs等许多软件都需要用的,我另起一篇文章,具体可以点我查看

注意两种方法都需要设置路径:

1
2
3
# CUDA
export PATH="$PATH:/usr/local/cuda-9.0/bin"
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/local/cuda-9.0/lib64“

六.GROMACS的安装

千呼万唤始出来,终于到了gromacs的安装了~其实gromacs的安装反而更加简单明了,我把其安装在/home/yaolab/install下面

1.进入目录解压进入目录(由于是给予新手帮助,原谅我啰嗦)

1
2
3
cd ~/install
tar xfz gromacs2020.tar.gz
cd gromacs2020

2.创建文件夹:

1
mkdir build

3.进入文件夹

1
cd  build

4.编译

1
2
3
4
cmake .. -DGMX_BUILD_OWN_FFTW=ON -DGMX_GPU=ON -DGMX_MPI=ON -DCMAKE_INSTALL_PREFIX=/home/yaolab/install/gromacs
#倘若FFTW不是自动安装,要**手动**安装的话需要更改为:
#-DGMX_FFT_LIBRARY=fftw3 #-DFFTWF_LIBRARY="/usr/local/lib/libfftw3f.so"  -DFFTWF_INCLUDE_DIR="/usr/local/include/"
#这里就不详细说明了

这里解释一下
DGMX_BUILD_OWN_FFTW为是否自动安装FFTW,DGMX_GPUDGMX_MPI为是否使用GPU模块和MPI模块,DCMAKE_INSTALL_PREFIX为安装路径。值得注意的是若为NVIDIA Tesla或者Quadro GPUS显卡最好增加-DCUDA_TOOLKIT_ROOT_DIR=/usr/local/cuda,能够达到最大利用率

5.安装

1
2
3
4
#(32表示make时使用32核,如果只用一个核,只需使用make)
make -j 32
make check
make install

6.设置环境变量

1
2
# gromacs
source /home/kangsgo/mdinstall/md/gromacs/bin/GMXRC

到此gromacs安装到此结束!

7.遇到的一些问题

出现类似如下信息:

1
nvcc fatal : Unsupported gpu architecture 'compute_20'

这个问题的原因为cuda9.0以上版本不支持compute_20造成的,解决办法可以下载最新版本的gromacs,或者cmake/gmxManageNvccConfig.cmake中将

1
list (APPEND GMX_CUDA_NVCC_GENCODE_FLAGS "-gencode;arch=compute_20,code=sm_20")

注释掉。

参考文章:

1.【致谢飞天大神及各位坛友】ubuntu、gromacs、g_mmpbsa的安装

  1. GMX在ubuntu系统下的安装,小编个人的安装经验仅供参考!

3.安装的gromacs 5.0.4 bin 里没有g_solvate_mpi

4.gromacs 5.0.2 mpi+GPU+gnu安装教程(联网+单机安装)